termite.config(5)

NAME
termite.conf - Termite configuration file

SYNOPSIS
$XDG_CONFIG_HOME/termite/config

DESCRIPTION
The configuration file format for the termite

OPTIONS

allow_bold
    Allow the output of bold characters when the bold escape sequence appears

audible_bell
    Have the terminal beep on the terminal bell.

browser
    Set the default browser for opening links. If its not set, $BROWSER is read. If that's not set, url hints will be disabled.

clickable_url
    Auto-detected URLs can be clicked on to open them in your browser. Only enabled if a browser is configured or detected.

cursor_blink
    Specify the how the terminal's cursor should behave. Accepts system to respect the gtk global configuration, on and off to explicitly enable or disable them.

cursor_shape
    Specify how the cursor should look. Accepts block, ibeam and underline.

dynamic_title
    Settings dynamic title allows the terminal and the shell to update the terminal's title.

font
    The font description for the terminal's font.

geometry
    The default window geometry for new terminal windows.

icon_name
    The name of the icon to be used for the terminal process.

mouse_autohide
    Automatically hide the mouse pointer when you start typing.

resize_grip
    Add a resize grip to the window

scrollback_lines
    Set the number of lines to limit the terminal's scrollback.

scroll_on_keystroke
    Scroll to the bottom automatically when a key is pressed.

scroll_on_output
    Scroll to the bottom when the shell generates output.

search_wrap
    Search from top again when you hit the bottom.

size_hints
    Enable size hints. Locks the terminal resizing to increments of the terminal's cell size. Requires a window manager that respects scroll hints.

urgent_on_bell
    Sets the window as urgent on the terminal bell.

visible_bell
    Have the terminal visually flash on the terminal bell.